banner23

banner31

banner24

Linux’taki 7 yıllık zafiyet nedeniyle ‘root’ erişimi

Linux'ta yer alan bir zafiyet ayrıcalık yükseltmesi için kullanılabildiği için tehlikeli olarak görülüyor.

SİBER GÜVENLİK 11.06.2021, 17:43
Linux’taki 7 yıllık zafiyet nedeniyle ‘root’ erişimi

Linux’ta yer alan 7 yıllık Polkit sisteminde ayrıcalık yükseltmeyi sağlayan zafiyet tehlike saçıyor. CVE-2021-3560 olarak isimlendirilen ve 10 üzerinden 7.8 olarak puanlandırılan zafiyet, Kevin Backhouse tarafından keşfedildi. Bu zafiyet ilk olarak 9 Kasım 2013’te fark edildi. Bu zafiyet nedeniyle Debian tabanlı Linux dağıtımlarının tehlikede olduğu iddia konuşuldu.

Polkit, Linux dağıtımlarında yetkileri tanımlamak için kullanılıyor. Ayrıcalık bulunmadığı zamanlarda da ayrıcalıklı işlemlerle iletişimi sağlıyor.

Red Hat tarafından yayınlanan bir belgede “Bir istek polkit_system_bus_name_get_creds_syns çağrısı başlatmadan önce dbus-deamon’dan ayrıldığında sürecin kimliğini alamaz ve doğrulayamaz. Bu zafiyetten kaynaklanan en büyük tehdit sistemin kullanılmasıyla birlikte veri gizliliği ve bütünlüğüne yöneliktir.” ifadesi yer aldı.

Söz konusu zafiyetten etkilenen dağıtımlar arasında Red Hat 8, Fedora 21 veya üstü, Debian Bullseye ve Ubuntu 20.04 yer alıyor.

Zafiyeti kullanmak için terminalde bazı basit komutlar kullanmak ve Polkit hala işlemdeyken işlemi durdurmak gerektiği belirtiliyor. Komutlar için bash, kill ve dbus-send gibi bilgiler öne çıkıyor. İşlem durdurulduğunda ise bir kimlik doğrulama atlatması yaşanıyor.

Zafiyetten etkilenmemek için Linux dağıtımlarına gelen güncellemeleri yapmak gerekiyor.

17°
parçalı bulutlu